<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: months_between</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for months_between {SparkR}"><tr><td>months_between {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>months_between</h2>

<h3>Description</h3>

<p>Returns number of months between dates 'date1' and 'date2'.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column'
months_between(y, x)

months_between(y, x)
</pre>


<h3>See Also</h3>

<p>Other datetime_funcs: <code><a href="add_months.html">add_months</a></code>,
<code><a href="add_months.html">add_months</a></code>; <code><a href="date_add.html">date_add</a></code>,
<code><a href="date_add.html">date_add</a></code>; <code><a href="date_format.html">date_format</a></code>,
<code><a href="date_format.html">date_format</a></code>; <code><a href="date_sub.html">date_sub</a></code>,
<code><a href="date_sub.html">date_sub</a></code>; <code><a href="datediff.html">datediff</a></code>,
<code><a href="datediff.html">datediff</a></code>; <code><a href="dayofmonth.html">dayofmonth</a></code>,
<code><a href="dayofmonth.html">dayofmonth</a></code>; <code><a href="dayofyear.html">dayofyear</a></code>,
<code><a href="dayofyear.html">dayofyear</a></code>; <code><a href="from_unixtime.html">from_unixtime</a></code>,
<code><a href="from_unixtime.html">from_unixtime</a></code>;
<code><a href="from_utc_timestamp.html">from_utc_timestamp</a></code>,
<code><a href="from_utc_timestamp.html">from_utc_timestamp</a></code>; <code><a href="hour.html">hour</a></code>,
<code><a href="hour.html">hour</a></code>; <code><a href="last_day.html">last_day</a></code>,
<code><a href="last_day.html">last_day</a></code>; <code><a href="minute.html">minute</a></code>,
<code><a href="minute.html">minute</a></code>; <code><a href="month.html">month</a></code>,
<code><a href="month.html">month</a></code>; <code><a href="next_day.html">next_day</a></code>,
<code><a href="next_day.html">next_day</a></code>; <code><a href="quarter.html">quarter</a></code>,
<code><a href="quarter.html">quarter</a></code>; <code><a href="second.html">second</a></code>,
<code><a href="second.html">second</a></code>; <code><a href="to_date.html">to_date</a></code>,
<code><a href="to_date.html">to_date</a></code>; <code><a href="to_utc_timestamp.html">to_utc_timestamp</a></code>,
<code><a href="to_utc_timestamp.html">to_utc_timestamp</a></code>;
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>,
<code><a href="unix_timestamp.html">unix_timestamp</a></code>; <code><a href="weekofyear.html">weekofyear</a></code>,
<code><a href="weekofyear.html">weekofyear</a></code>; <code><a href="year.html">year</a></code>,
<code><a href="year.html">year</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: months_between(df$c, x)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
